import request from '@/utils/request'

// 创建计量单位
export function createUnit(data) {
  return request({
    url: '/ecw/unit/create',
    method: 'post',
    data: data
  })
}

// 更新计量单位
export function updateUnit(data) {
  return request({
    url: '/ecw/unit/update',
    method: 'put',
    data: data
  })
}

// 更新计量单位
export function updateUnitStatus(data) {
  return request({
    url: '/ecw/unit/updateStatus',
    method: 'put',
    data: data
  })
}

// 删除计量单位
export function deleteUnit(id) {
  return request({
    url: '/ecw/unit/delete?id=' + id,
    method: 'delete'
  })
}

// 获得计量单位
export function getUnit(id) {
  return request({
    url: '/ecw/unit/get?id=' + id,
    method: 'get'
  })
}

// 获得计量单位分页
export function getUnitPage(query) {
  return request({
    url: '/ecw/unit/page',
    method: 'get',
    params: query
  })
}

// 获得所有计量单位
export function getUnitList() {
  return request({
    url: '/ecw/unit/list',
    method: 'get'
  })
}

// 导出计量单位 Excel
export function exportUnitExcel(query) {
  return request({
    url: '/ecw/unit/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
